Subject: bug#37232: git pull warns of http redirection

From: Bengt Richter <[email-masked]>
Date: Fri, 30 Aug 2019 03:25:06 -0700

On +2019-08-30 10:40:43 +0200, Gábor Boskovits wrote:
> Hello,
> 
> Bengt Richter <[email-masked]> ezt írta (időpont: 2019. aug. 30., P, 9:54):
> 
> > Hi all,
> >
> > It seems to be working, but I like to
> > eliminate warnings ;-)
> >
> > To reproduce, cd into your repo dir, then:
[...]

> > $ git config -l
> > core.editor=emacs
> > user.name=Bengt Richter
> > user.email=[email-masked]
> > core.repositoryformatversion=0
> > core.filemode=true
> > core.bare=false
> > core.logallrefupdates=true
> > remote.origin.url=http://git.sv.gnu.org/r/guix.git
> 
> 
> This line says, that you confgiured remote is git.sv.gnu.org ...
>
Yes, but AFAIK I only used git config to add my name, email, and
preferred editor. 
> 
> >
> > remote.origin.fetch=+refs/heads/*:refs/remotes/origin/*
> > branch.master.remote=origin
> > branch.master.merge=refs/heads/master
> > $ git pull
> > warning: redirecting to http://git.savannah.gnu.org/r/guix.git/
> > Already up to date.
> > $
> >
> 
> And this is the current url:
> 
> git clone https://git.savannah.gnu.org/git/guix.git
>

Is that how guix info docs should read now, unlike what I used
from there? I'll try it fresh into a new guix git repo ...

Aha! Now, right after cloning, I get this
from git config -l:

core.editor=emacs
user.name=Bengt Richter
user.email=[email-masked]
core.repositoryformatversion=0
core.filemode=true
core.bare=false
core.logallrefupdates=true
remote.origin.url=https://git.savannah.gnu.org/git/guix.git
                  ^^^^^--joy :)

remote.origin.fetch=+refs/heads/*:refs/remotes/origin/*
branch.master.remote=origin
branch.master.merge=refs/heads/master

And: git pull does not warn about http redirection \o/ :-)

Thank you!

[...]

Regards,
Bengt Richter